@article{mingyue2017a,
  author = {Mingyue Ji and Tulino, Antonia M. and Llorca, Jaime and Caire, Giuseppe},
  doi = {10.1109/TIT.2017.2695611},
  editor = {},
  issn = {0018-9448},
  journal = {IEEE transactions on information theory, 2017-06, Vol.63 (6), p.3923-3949},
  keywords = {Caching, coded caching, Content distribution, Demand, Electronic mail, Encoding, index coding, Indexes, Internet, Libraries, Mapping, Measurement, Multicast communication, Multicasting, Optimization, order optimal rate, Parameters, Placement, random demands},
  note = {We consider the canonical shared link caching network formed by a source node, hosting a library of m information messages (files), connected via a noiseless multicast link to n user nodes, each equipped with a cache of size M files. Users request files independently at random according to an a-priori known demand distribution q. A coding scheme for this network consists of two phases: cache placement and delivery. The cache placement is a mapping of the library files onto the user caches that can be optimized as a function of the demand statistics, but is agnostic of the actual demand realization. After the user demands are revealed, during the delivery phase the source sends a codeword (function of the library files, cache placement, and demands) to the users, such that each user retrieves its requested file with arbitrarily high probability. The goal is to minimize the average transmission length of the delivery phase, referred to as rate (expressed in channel symbols per file). In the case of deterministic demands, the optimal min-max rate has been characterized within a constant multiplicative factor, independent of the network parameters. The case of random demands was previously addressed by applying the order-optimal min-max scheme separately within groups of files requested with similar probability. However, no complete characterization of order-optimality was previously provided for random demands under the average rate performance criterion. In this paper, we consider the random demand setting and, for the special yet relevant case of a Zipf demand distribution, we provide a comprehensive characterization of the order-optimal rate for all regimes of the system parameters, as well as an explicit placement and delivery scheme achieving order-optimal rates. We present also numerical results that confirm the superiority of our scheme with respect to previously proposed schemes for the same setting.},
  publisher = {New York: IEEE},
  title = {Order-Optimal Rate of Caching and Coded Multicasting With Random Demands},
  url = {https://dx.doi.org/10.1109/TIT.2017.2695611},
  year = {2017}
}
